import request from '@/utils/request'

// 查询装置会议议程列表
export function listAgenda(query) {
  return request({
    url: '/plant/agenda/list',
    method: 'get',
    params: query
  })
}// 查询装置会议议程列表
export function listAgenda2(query) {
  return request({
    url: '/plant/agenda/list2',
    method: 'get',
    params: query
  })
}

// 查询装置会议议程详细
export function getAgenda(id) {
  return request({
    url: '/plant/agenda/' + id,
    method: 'get'
  })
}

// 新增装置会议议程
export function addAgenda(data) {
  return request({
    url: '/plant/agenda',
    method: 'post',
    data: data
  })
}

// 修改装置会议议程
export function updateAgenda(data) {
  return request({
    url: '/plant/agenda',
    method: 'put',
    data: data
  })
}

// 删除装置会议议程
export function delAgenda(id) {
  return request({
    url: '/plant/agenda/' + id,
    method: 'delete'
  })
}
